| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Macros | Typedefs | Enumerations | Functions
register.h File Reference
`#include "ws_symbol_export.h"`

Go to the source code of this file.

## Macros
#define | RA_BASE_COUNT (RA_INTERFACES - 3)

## Typedefs
typedef void(* | register_cb) (register_action_e action, const char *message, void *client_data)
typedef void(* | register_entity_func) (register_cb cb, void *client_data)

## Enumerations
enum | register_action_e { RA_NONE , RA_DISSECTORS , RA_LISTENERS , RA_EXTCAP , RA_REGISTER , RA_PLUGIN_REGISTER , RA_HANDOFF , RA_PLUGIN_HANDOFF , RA_LUA_PLUGINS , RA_LUA_DEREGISTER , RA_PREFERENCES , RA_INTERFACES , RA_PREFERENCES_APPLY }

## Functions
WS_DLL_PUBLIC void | register_all_protocols (register_cb cb, void *client_data)
WS_DLL_PUBLIC void | register_all_protocol_handoffs (register_cb cb, void *client_data)
WS_DLL_PUBLIC void | register_all_event_dissectors (register_cb cb, void *client_data)
WS_DLL_PUBLIC void | register_all_event_dissectors_handoffs (register_cb cb, void *client_data)

## Detailed Description

Definitions for protocol registration

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ register_all_event_dissectors()

WS_DLL_PUBLIC void register_all_event_dissectors | ( | register_cb | cb,
|  | void * | client_data
| ) |  |

Call each event dissector's registration routine.

Each routine is called in alphabetical order from a worker thread. Registration routines might call any number of routines which are not thread safe, such as wmem_alloc. Callbacks should handle themselves accordingly.

Parameters

  cb | Callback routine which is called for each protocol. Messages have the format "event_register_XXX".
  client_data | Data pointer for the callback.

## ◆ register_all_event_dissectors_handoffs()

WS_DLL_PUBLIC void register_all_event_dissectors_handoffs | ( | register_cb | cb,
|  | void * | client_data
| ) |  |

Call each event dissector's handoff routine.

Each routine is called from a worker thread. Registration routines might call any number of routines which are not thread safe, such as wmem_alloc. Callbacks should handle themselves accordingly.

Parameters

  cb | Callback routine which is called for each protocol. Messages have the format "event_reg_handoff_XXX".
  client_data | Data pointer for the callback.

## ◆ register_all_protocol_handoffs()

WS_DLL_PUBLIC void register_all_protocol_handoffs | ( | register_cb | cb,
|  | void * | client_data
| ) |  |

Call each dissector's protocol handoff routine.

Each routine is called from a worker thread. Registration routines might call any number of routines which are not thread safe, such as wmem_alloc. Callbacks should handle themselves accordingly.

Parameters

  cb | Callback routine which is called for each protocol. Messages have the format "proto_reg_handoff_XXX".
  client_data | Data pointer for the callback.

## ◆ register_all_protocols()

WS_DLL_PUBLIC void register_all_protocols | ( | register_cb | cb,
|  | void * | client_data
| ) |  |

Call each dissector's protocol registration routine.

Each routine is called in alphabetical order from a worker thread. Registration routines might call any number of routines which are not thread safe, such as wmem_alloc. Callbacks should handle themselves accordingly.

Parameters

  cb | Callback routine which is called for each protocol. Messages have the format "proto_register_XXX".
  client_data | Data pointer for the callback.